com.holonplatform.jdbc

## Class DataSourceConfigProperties.DataSourceConfigPropertiesImpl

- java.lang.Object
- - com.holonplatform.core.internal.config.DefaultConfigPropertySet
  - - com.holonplatform.jdbc.DataSourceConfigProperties.DataSourceConfigPropertiesImpl

- All Implemented Interfaces:
    com.holonplatform.core.config.ConfigPropertySet, com.holonplatform.core.datastore.DataContextBound, DataSourceConfigProperties
  Direct Known Subclasses:
    SpringDataSourceConfigProperties.SpringDataSourceConfigPropertiesImpl
  Enclosing interface:
    DataSourceConfigProperties

      public static class DataSourceConfigProperties.DataSourceConfigPropertiesImpl
      extends com.holonplatform.core.internal.config.DefaultConfigPropertySet
      implements DataSourceConfigProperties

  Default implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `com.holonplatform.core.internal.config.DefaultConfigPropertySet.DefaultBuilder<C extends com.holonplatform.core.config.ConfigPropertySet>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.jdbc.DataSourceConfigProperties

      `DataSourceConfigProperties.DataSourceConfigPropertiesImpl`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `com.holonplatform.core.config.ConfigPropertySet.Builder<C extends com.holonplatform.core.config.ConfigPropertySet>, com.holonplatform.core.config.ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.jdbc.DataSourceConfigProperties

      `AUTOCOMMIT, DEFAULT_MAX_POOL_SIZE, DEFAULT_NAME, DRIVER_CLASS_NAME, JNDI_NAME, MAX_POOL_SIZE, MIN_POOL_SIZE, NAME, PASSWORD, PLATFORM, TYPE, URL, USERNAME, VALIDATION_QUERY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceConfigPropertiesImpl(String dataContextId)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `getDataContextId()`

    - ### Methods inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `addAliasName, addPropertyProvider, getConfigPropertyName, getConfigPropertyValue, getName, getSubPropertiesUsingPrefix, hasConfigProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.jdbc.DataSourceConfigProperties

      `builder, builder, getConnectionValidationQuery, getDatabasePlatform, getDriverClassName, isDisableAutoCommit`

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getName, getSubPropertiesUsingPrefix, hasConfigProperty`

- - ### Constructor Detail

    - #### DataSourceConfigPropertiesImpl

          public DataSourceConfigPropertiesImpl(String dataContextId)

      Constructor
      Parameters:
        `dataContextId` - Optional data context id

  - ### Method Detail

    - #### getDataContextId

          public Optional<String> getDataContextId()

      Specified by:
        `getDataContextId` in interface `com.holonplatform.core.datastore.DataContextBound`

Copyright © 2019 The Holon Platform. All rights reserved.